# Lab-OS-Python

This is a boilerplate that replicates the exercise done in the [Lab-OS-CLI](https://githepia.hesge.ch/lsds/teaching/bachelor/cloud-and-deployment/lab-os-cli). 

## NAME
**lab-os** - Python script to manage OpenStack Virtual Machines

## SYNOPSIS
`lab-os.py` [**create**|**destroy**|**start**|**stop**|**snapshot**]

## DESCRIPTION
`lab-os.py` is a Python script designed to help manage OpenStack Virtual Machines with simple commands.

## OPTIONS

### **create**
Create a new virtual machine. This command returns a unique **ID** that can be used to manage the VM in subsequent commands.

### **destroy ID**
Destroy an existing virtual machine using the provided **ID**.

### **start ID**
Start a virtual machine using the provided **ID**.

### **stop ID**
Stop a running virtual machine using the provided **ID**.

### **snapshot ID**
Create a snapshot of the current state of the virtual machine using the provided **ID**. This command also returns a unique **ID** for the snapshot.

## EXAMPLES

### Create a new virtual machine:
```python
# Run the Python script to create a VM
python lab-os.py create
```
This will return a unique ID for the newly created virtual machine.

### Start a virtual machine:
```python
# Start the virtual machine using the returned ID
python lab-os.py start <ID>
```
This starts the virtual machine associated with the provided **ID**.

### Stop a virtual machine:
```python
# Stop the virtual machine using the returned ID
python lab-os.py stop <ID>
```
This stops the virtual machine associated with the provided **ID**.

### Create a snapshot of a virtual machine:
```python
# Create a snapshot using the VM ID
python lab-os.py snapshot <ID>
```
This creates a snapshot of the virtual machine associated with the provided **ID** and returns a unique **ID** for the snapshot.

### Destroy a virtual machine:
```python
# Destroy the virtual machine using the returned ID
python lab-os.py destroy <ID>
```
This destroys the virtual machine associated with the provided **ID**.

## AUTHOR
Written by Francisco Mendonca.

## COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License.
